import processing.serial.*;

// port série connecté à l'Arduino
Serial port;

// consigne de vitesse par défaut
int seuil=4;

// les consignes à envoyer à l'Arduino
int consGauche = 0;
int consDroite = 0;
int consSeuil = 0;

void setup()
{
  // taille de la fenêtre
  size(500,500);

  // connexion du port série correspondant à l'Arduino (ex: COM6 = 2ème de la liste)
  println(Serial.list());
  String portName = Serial.list()[2];
  port = new Serial(this,portName,9600); // vitesse 9600 à changer selon le code Arduino

  // 
}



void draw()
{ 
  // efface tout avec une couleur de fond blanche
  background(255);
  // couleur de remplissement noire
  fill(0);
  // trace les lignes des zones actives
  line(0,height/2,width,height/2);
  line(width/2,height/2,width/2,height);
  // change la couleur de trait à gris
  stroke(128);
  ellipse(mouseX,mouseY,10,10); 

  delay(5);
}

// Gestion des changements de consigne à la souris
void mouseMoved()
{
  // au-dessus de la ligne médiane = avance
  if (mouseY<height/2) {
    //
    consGauche = '1';
    consDroite = '1';
    consSeuil = '4';
  } 
  // en-dessous = tourner
  else {
    // tourner à gauche
    if (mouseX<width/2 && mouseY>height/2)
    {
      consGauche = '0'; // la roue gauche va en arrière
      consDroite = '1'; //
      consSeuil = '2';
    } 
    // tourner à droite 
    else {
      consGauche = '1'; // 
      consDroite = '0'; // la roue droite va en arrière
      consSeuil = '8';
    }
  } 
}

// gestion des clics souris (tout bouton)
// envoie les valeurs en cours à la carte Arduino
void mousePressed() {
  port.write(consGauche);
  port.write(consDroite);
  port.write(consSeuil);
}

// affichage direct de ce que l'Arduino envoie.
void serialEvent(Serial p)
{
  print(port.readString()); 
}



